Subject: bug#13032: 24.3.50; Request: Provide a `delete-duplicate-lines' command

From: Juri Linkov <[email-masked]>
Date: Fri, 30 Nov 2012 02:57:53 +0200

> (FWIW, yes, I'm aware that your awk script and uniq don't do the same
> thing, but I think what Dani requested was in fact removing
> consecutive duplicates...)

I wonder why only consecutive duplicates?  The existing functions
`delete-duplicates' and `delete-dups' that operate on lists
don't delete just consecutive duplicates.  They delete all duplicates.